import 'package:doctor_app_flutter/screens/patients/profile/soap_update/shared_soap_widgets/steps_widget.dart';
import 'package:doctor_app_flutter/util/translations_delegate_base.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class SOAPStepHeader extends StatelessWidget {
  const SOAPStepHeader({
    Key key,
    this.currentIndex, this.changePageViewIndex,
  }) : super(key: key);

  final int currentIndex;
  final Function changePageViewIndex;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        SizedBox(height: 15,),
        AppText(
          TranslationBase.of(context).createNew,
          fontSize: 14,
          fontWeight: FontWeight.w500,
        ),
        AppText(TranslationBase.of(context).episode,
          fontSize: 26,
          fontWeight: FontWeight.bold,
        ),
        Container(
          color: Theme.of(context).scaffoldBackgroundColor,
          child: StepsWidget(
            index: currentIndex,
            changeCurrentTab: changePageViewIndex,
            height: 100,
          ),
        ),
        SizedBox(
          height: 30,
        ),
      ],
    );
  }
}
